resource "opsgenie_team" "this" {
  count = module.this.enabled ? 1 : 0

  name                     = var.team.name
  description              = try(var.team.description, var.team.name)
  ignore_members           = try(var.team.ignore_members, false)
  delete_default_resources = try(var.team.delete_default_resources, false)

  dynamic "member" {
    for_each = try(var.team.members, [])

    content {
      id   = member.value.id
      role = member.value.role
    }
  }
}
