resource "opsgenie_team_routing_rule" "this" {
  count = module.this.enabled ? 1 : 0

  name     = var.team_routing_rule.name
  team_id  = var.team_routing_rule.team_id
  order    = try(var.team_routing_rule.order, 0)
  timezone = try(var.team_routing_rule.timezone, "America/Los_Angeles")

  criteria {
    type = try(var.team_routing_rule.criteria.type, "match-all")

    dynamic "conditions" {
      for_each = try(var.team_routing_rule.criteria.conditions, [])

      content {
        expected_value = try(conditions.value.expected_value, null)
        field          = try(conditions.value.field, null)
        key            = try(conditions.value.key, null)
        not            = try(conditions.value.not, null)
        operation      = try(conditions.value.operation, null)
        order          = try(conditions.value.order, null)
      }
    }
  }

  dynamic "notify" {
    for_each = try(var.team_routing_rule.notify, [])

    content {
      type = notify.value.type
      # name and id parameters are mutually exclusive
      id   = try(notify.value.id, null)
      name = try(notify.value.name, null)
    }
  }
}
